### Function

# GLib test_get_dir

since: 2.38

#### Declaration

    const gchar*
    g_test_get_dir (
      GTestFileType file_type
    )

#### Description

Gets the pathname of the directory containing test files of the type specified by `file_type`.

This is approximately the same as calling g_test_build_filename(“.”), but you don’t need to free the return value.

Available since: 2.38

#### Parameters

`file_type`

  Type: `GTestFileType`

  The type of file (built vs. distributed)

#### Return value

Type: `const gchar*`

The path of the directory, owned by GLib.

The data is owned by the called function.
The value is a file system path, using the OS encoding.